IDRefs (Axis API)
Keywords: org.apache.axis.types.IDRefs class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class IDRefs

    java.lang.Object
      org.apache.axis.types.NormalizedString
          org.apache.axis.types.Token
              org.apache.axis.types.Name
                  org.apache.axis.types.NCName
                      org.apache.axis.types.IDRefs

All Implemented Interfaces:
  java.io.Serializable

public class IDRefs
extends NCName

Custom class for supporting XSD data type IDRefs

Author:
  Davanum Srinivas
See Also:
  XML Schema 3.3.10 IDREFS, Serialized Form

Constructor Summary
`IDRefs()`
`IDRefs(java.lang.String stValue)` ctor for IDRefs

Method Summary
`boolean` | `equals(java.lang.Object object)` IDREFs can be equal without having identical ordering because they represent a set of references.
`int` | `hashCode()` Returns the sum of the hashcodes of the underlying idrefs, an operation which is not sensitive to ordering.
`void` | `setValue(java.lang.String stValue)` validates the data and sets the value for the object.
`java.lang.String` | `toString()`

Methods inherited from class org.apache.axis.types.NCName
`isValid`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IDRefs

    public IDRefs()

### IDRefs

    public IDRefs(java.lang.String stValue)
           throws java.lang.IllegalArgumentException

  ctor for IDRefs

Throws:
  `java.lang.IllegalArgumentException` - will be thrown if validation fails

Method Detail

### setValue

    public void setValue(java.lang.String stValue)

  Description copied from class: `NCName`
  validates the data and sets the value for the object.

  Overrides:
    `setValue` in class `NCName`
  Parameters:
    `stValue` - String value

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `NormalizedString`

### equals

    public boolean equals(java.lang.Object object)

  IDREFs can be equal without having identical ordering because they represent a set of references. Hence we have to compare values here as a set, not a list.

  Overrides:
    `equals` in class `NormalizedString`
  Parameters:
    `object` - an `Object` value
  Returns:
    a `boolean` value

### hashCode

    public int hashCode()

  Returns the sum of the hashcodes of the underlying idrefs, an operation which is not sensitive to ordering.

  Overrides:
    `hashCode` in class `NormalizedString`
  Returns:
    an `int` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.